SystemOrganization addCategory: #ConfigurationOfXMLTestsConformance!

Object subclass: #ConfigurationOfXMLTestsConformance
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfXMLTestsConformance'!

!ConfigurationOfXMLTestsConformance commentStamp: 'monty 4/4/2015 04:59' prior: 0!
ConfigurationOfXMLTestsConformance load!

!ConfigurationOfXMLTestsConformance class methodsFor: 'development support' stamp: 'monty 4/4/2015 04:56'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'private' stamp: 'monty 4/4/2015 04:56'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'catalog' stamp: 'monty 4/6/2015 20:00'!
catalogDescription

	^ 'XMLTestsConformance is an extra test suite for XMLParser generated from the W3C conformance test suite: http://www.w3.org/XML/Test/'! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'catalog' stamp: 'monty 1/8/2016 13:01'!
catalogLicense
	^ 'The MIT License (MIT)

Copyright (c) 2016 PharoExtras Team.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.'! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'private' stamp: 'monty 4/4/2015 04:56'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'private' stamp: 'monty 4/4/2015 04:56'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'metacello tool support' stamp: 'monty 4/4/2015 04:56'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'loading' stamp: 'monty 4/4/2015 04:56'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'loading' stamp: 'monty 4/4/2015 04:56'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'loading' stamp: 'monty 4/4/2015 04:56'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'accessing' stamp: 'monty 4/4/2015 04:56'!
project

	^self new project! !

!ConfigurationOfXMLTestsConformance class methodsFor: 'development support' stamp: 'monty 4/4/2015 04:56'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfXMLTestsConformance methodsFor: 'baselines' stamp: 'monty 2/19/2016 01:09'!
baseline100: spec
	<version: '1.0.0-baseline'>
	spec
		for: #common
		do: [ 
			spec
				blessing: #baseline;
				description: 'XML-Tests-Conformance baseline';
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLParser/main'.
			spec
				project: 'XMLParser'
				with: [ 
					spec
						className: 'ConfigurationOfXMLParser';
						versionString: #'stable';
						loads: #('default');
						repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLParser/main' ].
			spec package: 'XML-Tests-Conformance' with: [ spec requires: 'XMLParser' ].
			spec group: 'Tests' with: #('XML-Tests-Conformance').
			spec group: 'default' with: #('Tests')].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'accessing' stamp: 'monty 4/4/2015 04:56'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfXMLTestsConformance methodsFor: 'symbolic versions' stamp: 'monty 4/5/2015 01:42'!
development: spec
	<symbolicVersion: #development>
	
	spec for: #'common' version: '1.0.0-baseline'.! !

!ConfigurationOfXMLTestsConformance methodsFor: 'accessing' stamp: 'monty 4/4/2015 04:56'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfXMLTestsConformance methodsFor: 'symbolic versions' stamp: 'monty 9/19/2017 10:07'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.2.0'.! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 4/5/2015 01:40'!
version100: spec 
        <version: '1.0.0' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.11'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 4/6/2015 05:27'!
version101: spec 
        <version: '1.0.1' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.12'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 5/26/2015 02:19'!
version102: spec 
        <version: '1.0.2' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.13'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 6/18/2015 01:03'!
version103: spec 
        <version: '1.0.3' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.14'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 1/8/2016 13:06'!
version104: spec 
        <version: '1.0.4' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.15'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 3/10/2016 16:01'!
version105: spec 
        <version: '1.0.5' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.16'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 3/14/2016 01:42'!
version106: spec 
        <version: '1.0.6' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.17'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 3/23/2016 01:27'!
version107: spec 
        <version: '1.0.7' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.18'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 3/26/2016 01:40'!
version108: spec 
        <version: '1.0.8' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.19'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 4/11/2016 06:25'!
version109: spec 
        <version: '1.0.9' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.21'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 7/8/2016 03:15'!
version110: spec 
        <version: '1.1.0' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.22'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 7/13/2016 03:20'!
version111: spec 
        <version: '1.1.1' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.23'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 9/11/2016 04:52'!
version112: spec 
        <version: '1.1.2' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.24'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 10/15/2016 02:51'!
version113: spec 
        <version: '1.1.3' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.25'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 10/30/2016 10:20'!
version114: spec 
        <version: '1.1.4' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.26'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 11/28/2016 03:04'!
version115: spec 
        <version: '1.1.5' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.27'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 1/21/2017 10:05'!
version116: spec 
        <version: '1.1.6' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.28'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 4/13/2017 06:19'!
version117: spec 
        <version: '1.1.7' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.29'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 4/26/2017 21:35'!
version118: spec 
        <version: '1.1.8' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.30'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 4/27/2017 08:51'!
version119: spec 
        <version: '1.1.9' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.31'.
                ].! !

!ConfigurationOfXMLTestsConformance methodsFor: 'versions' stamp: 'monty 9/19/2017 10:07'!
version120: spec 
        <version: '1.2.0' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Tests-Conformance' with: 'XML-Tests-Conformance-monty.32'.
                ].! !
